io.undertow.server

## Enum SecureCookieCommitListener

- java.lang.Object
- - java.lang.Enum<SecureCookieCommitListener>
  - - io.undertow.server.SecureCookieCommitListener

All Implemented Interfaces:
  ResponseCommitListener, Serializable, Comparable<SecureCookieCommitListener>

    public enum SecureCookieCommitListener
    extends Enum<SecureCookieCommitListener>
    implements ResponseCommitListener

Sets the

    secure

attribute on all response cookies.

Author:
  Richard Opalka

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INSTANCE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `beforeCommit(HttpServerExchange exchange)` Invoked before the first bytes of the response are sent to the client
`static SecureCookieCommitListener` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SecureCookieCommitListener[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INSTANCE

    public static final SecureCookieCommitListener INSTANCE

### Method Detail

#### values

    public static SecureCookieCommitListener[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SecureCookieCommitListener c : SecureCookieCommitListener.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SecureCookieCommitListener valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### beforeCommit

    public void beforeCommit(HttpServerExchange exchange)

Description copied from interface: `ResponseCommitListener`
Invoked before the first bytes of the response are sent to the client

Specified by:
  `beforeCommit` in interface `ResponseCommitListener`
Parameters:
  `exchange` - The server exchange